﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BouyomiChanPlugin
{
    public partial class BouyomiChanForm : Form
    {
        private BouyomiChanPlugin plugin = null;

        public BouyomiChanForm()
        {
            InitializeComponent();
        }

        public BouyomiChanPlugin Plugin
        {
            get { return plugin; }
            set { plugin = value; }
        }

        private void BouyomiChanForm_Load(object sender, EventArgs e)
        {
            updateScreen();
        }

        private void BouyomiChanForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = true;
            this.Visible = false;
        }

        private void buttonEnabledTalk_Click(object sender, EventArgs e)
        {
            if (Plugin != null)
                Plugin.EnabledTalk = true;
        }

        private void buttonDisabledTalk_Click(object sender, EventArgs e)
        {
            if (Plugin != null)
                Plugin.EnabledTalk = false;
        }

        private void timerUpdate_Tick(object sender, EventArgs e)
        {
            updateScreen();
        }

        private void updateScreen()
        {
            string tmp;
            if (Plugin != null)
            {
                tmp = Plugin.IsLive ? "放送中" : "停止中";
                if (labelLive.Text != tmp) labelLive.Text = tmp;
                tmp = Plugin.EnabledTalk ? "読み上げ中" : "停止中";
                if (labelTalk.Text != tmp) labelTalk.Text = tmp;
            }
            else
            {
                tmp = "";
                if (labelLive.Text != tmp) labelLive.Text = tmp;
                if (labelTalk.Text != tmp) labelTalk.Text = tmp;
            }
        }

        private void radioCaster0_CheckedChanged(object sender, EventArgs e)
        {
            if (Plugin != null)
                Plugin.TargetTalk = 0;
        }

        private void radioCaster1_CheckedChanged(object sender, EventArgs e)
        {
            if (Plugin != null)
                Plugin.TargetTalk = 1;
        }

        private void radioCaster2_CheckedChanged(object sender, EventArgs e)
        {
            if (Plugin != null)
                Plugin.TargetTalk = 2;
        }
    }
}
